Subject: bug#76478: closed (Re: bug#76478: 30.0.92; doc-view--revert-buffer fails when saving OpenDocument spreadsheets)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Mar 2025 11:13:02 +0000

Your bug report

#76478: 30.0.92; doc-view--revert-buffer fails when saving OpenDocument spreadsheets

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76478: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76478
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76478: 30.0.92; doc-view--revert-buffer fails when saving OpenDocument spreadsheets
From: Eli Zaretskii <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 15 Mar 2025 13:12:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked],   [email-masked],   [email-masked]
> Date: Sat, 01 Mar 2025 13:54:54 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked], [email-masked], [email-masked]
> >> Date: Sun, 23 Feb 2025 11:12:04 +0200
> >> From: Eli Zaretskii <[email-masked]>
> >> 
> >> > From: Tassilo Horn <[email-masked]>
> >> > Cc: Roland Winkler <[email-masked]>,   [email-masked]
> >> > Date: Sun, 23 Feb 2025 10:08:38 +0100
> >> > 
> >> > And Eli, in which version do you want the fix?  I think the issue
> >> > is quite old and as explained above, you will usually only trigger
> >> > it when editing OpenDocument contents which probably is quite
> >> > uncommon.
> >> 
> >> I think fixing this on master should be okay, thanks.
> >
> > Ping!  Tassilo, would you please install your patch?
> 
> Done just now.  Roland, please give it a try.

No further comments within 2 weeks, so I presume the bug was indeed
solved, and I'm therefore closing it.

Subject: 30.0.92; doc-view--revert-buffer fails when saving OpenDocument spreadsheets
From: Roland Winkler <[email-masked]>
To: [email-masked]
Date: Fri, 21 Feb 2025 13:53:59 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

When I open an OpenDocument spreadsheet (file extension ods), by default
this happens via doc-view.  Then, when I edit the file (say, content.xml)
and try to save it, doc-view--revert-buffer bails out with the error
(wrong-type-argument stringp nil).

If, instead, I open and edit the file as a zip archive without doc-view,
I can save it without any problems.

In GNU Emacs 30.0.92 (build 2, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.16.0) of 2024-11-01 built on regnitz
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Debian GNU/Linux 12 (bookworm)

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix